package com.qianhe.zqcz.xmrylsjl.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qianhe.common.annotation.Excel;
import com.qianhe.zqcz.ryxx.domain.ZqczRyxxVo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 现场抽检情况统计
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class XccjqktjVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 基层单位名称
     */
    private String jcdwmc;
    /**
     * 人员类型
     */
    private String ryfl;
    /**
     * 人员名称
     */
    private String rymc;
    /**
     * 项目类别
     */
    private String xmlb;
    /**
     * 项目名称
     */
    private String xmmc;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    public XccjqktjVo(ZqczRyxxVo zqczRyxxVo, ZqczXmRyLsjlVo zqczXmRyLsjlVo) {
        this.jcdwmc = zqczRyxxVo.getDwmc();
        this.ryfl = zqczRyxxVo.getRyfl();
        this.rymc = zqczRyxxVo.getRymc();
        this.xmmc = zqczXmRyLsjlVo.getXmmc();
        this.xmlb = zqczXmRyLsjlVo.getXmlb();
        this.update_time = zqczXmRyLsjlVo.getUpdate_time();
    }
}
